function initjQGrid() {
    $("#jqgrid-html-table").jqGrid({
        url: "get-jqgrid-data-ep.php",
        datatype: "json",
        mtype: "GET",
        colNames: ["User Id", "User Name", "First Name", "Last Name"],
        colModel: [
            { name: "userId", align: "right", width: 50 },
            { name: "userName", width: 90 },
            { name: "firstName", width: 90 },
            { name: "lastName", width: 90 }
        ],
        viewrecords: true,
        caption: "",
        loadonce: true,
        viewrecords: true,
        footerrow: true,
        userDataOnFooter: true,
        width: 780,
        height: 200
    });
}

function exportToPDF() {
    $("#jqgrid-html-table").jqGrid("exportToPdf", {
        title: 'jqGrid Export to PDF',
        orientation: 'portrait',
        pageSize: 'A4',
        description: 'This table is exported from the jqGrid data table',
        customSettings: null,
        download: 'download',
        includeLabels: true,
        includeGroupHeader: true,
        includeFooter: true,
        fileName: "jqGridExport.pdf"
    })
}

function exportToCSV() {
    $("#jqgrid-html-table").jqGrid("exportToCsv", {
        separator: ",",
        separatorReplace: "", // in order to interpret numbers
        quote: '"',
        escquote: '"',
        newLine: "\r\n", // navigator.userAgent.match(/Windows/) ?	'\r\n' : '\n';
        replaceNewLine: " ",
        includeCaption: true,
        includeLabels: true,
        includeGroupHeader: true,
        includeFooter: true,
        fileName: "jqGridExport.csv",
        returnAsString: false
    })
}

function exportToExcel() {
    $("#jqgrid-html-table").jqGrid("exportToExcel", {
        includeLabels: true,
        includeGroupHeader: true,
        includeFooter: true,
        fileName: "jqGridExport.xlsx",
        maxlength: 40 // maxlength for visible string data
    });
}